%define srcname pykde4

Name:		python-kde4
Summary:	KDE bindings to non-C++ languages
Version: 4.9.3
Release: 1
Epoch:		1
Group:		Development/KDE and Qt
License:	GPLv2
URL:		http://www.kde.org
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{srcname}-%{version}.tar.xz
Patch0:		pykde4-respect-sip-flags.patch
BuildRequires:	kdepimlibs4-devel
BuildRequires:	python-sip >= 1:4.13.1
BuildRequires:	python-qt4-devel >= 4.9
BuildRequires:	automoc4
Provides:	PyKDE4 = %{EVRD}
Provides:	pykde4 = %{EVRD}
Requires:	python-qt4 >= 4.9

%description
The Python bindings for KDE 4.

%files
%{py_platsitedir}/PyQt4/
%{py_platsitedir}/PyKDE4
%{_kde_bindir}/pykdeuic4
%{_kde_libdir}/kde4/kpythonpluginfactory.so
%dir %{_kde_appsdir}/pykde4
%exclude %{_kde_datadir}/doc/python-kde4

#-----------------------------------------------------------------------------

%package devel
Summary:	PyKDE4 sip files and examples
Group:		Development/KDE and Qt
Conflicts:	python-kde4 < 1:4.5.77-0.svn1198704.2
Requires:	python-kde4 = %{EVRD}
Requires:	python-qt4-devel

%description devel
Python KDE 4 sip files and examples.

%files devel
%{_kde_datadir}/sip/PyKDE4
%{_kde_appsdir}/pykde4/examples

#-----------------------------------------------------------------------------

%package doc
Summary:	PyKDE4 documentation
Group:		Development/KDE and Qt
BuildArch:	noarch

%description doc
Python bindings for KDE 4 documentation.

%files doc
%doc AUTHORS COPYING COPYING.LESSER NEWS README THANKS
%{_kde_datadir}/doc/python-kde4

#------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

# Copy Python Doc
mkdir -p %{buildroot}%{_kde_datadir}/doc/python-kde4
cp -a docs/html/* %{buildroot}%{_kde_datadir}/doc/python-kde4/



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.3-1
+ Revision: 822088
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.2-1
+ Revision: 818215
- New release

* Mon Aug 13 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.0-2
+ Revision: 814471
- Rebuild

* Sat Aug 04 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.0-1
+ Revision: 811753
- New release

  + Andrey Bondrov <abondrov@mandriva.org>
    - Spec cleanup

* Sun Jul 15 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.97-1
+ Revision: 809358
- New release

  + Franck Bui <franck.bui@mandriva.com>
    - fix build on ARM where qreal is an alias for float (not double)

* Fri Jun 08 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.4-1
+ Revision: 803654
- New release

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.3-1
+ Revision: 796363
- New release

* Thu Apr 19 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.2-1
+ Revision: 791893
- New release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New upstream tarball

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.8.0-1
+ Revision: 762417
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.97-1
+ Revision: 758118
- New upstream tarball

* Tue Jan 03 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.95-1
+ Revision: 748827
- Fix file list
- Fix file list
- Fix file list
- Fix file list
- New version

* Wed Dec 14 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.90-1
+ Revision: 740826
- New version

* Tue Nov 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.80-1
+ Revision: 732411
- Add Automoc4 as buildrequires ( to workaround a rpm5/iurt bug)
- New version 4.7.80

* Wed Sep 07 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.41-1
+ Revision: 698633
- imported package python-kde4

